Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Class NFileInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--com.novell.java.io.NInputStream
                  |
                  +--com.novell.service.file.nw.NFileInputStream

public class NFileInputStream
extends NInputStream

Opens an input stream on a NetWare file or Extended Attribute.

NFileInputStream extends NInputStream by adding convenience constructors for the various custom parameters.

The DataAccessableParameters class can also be used by the user application layer to obtain constant flags for the various constructors of this class, or can instantiate a DataAccessableParameters object and pass it into the NInputStream constructor.

See Also:
  `NInputStream`, `DataAccessableParameters`

Constructor Summary
`NFileInputStream(DataAccessable accessor)` Constructs an NFileInputStream object using default parameters.
`NFileInputStream(DataAccessable accessor, int openFlags)` Constructs an NFileInputStream object with openFlags parameter.
`NFileInputStream(DataAccessable accessor, int openFlags, int dataSelector)` Constructs an NFileInputStream object with openFlags and dataSelector parameters.
`NFileInputStream(java.lang.String name, DataAccessable accessor)` Constructs an NFileInputStream object in the subordinate input stream with default parameters.
`NFileInputStream(java.lang.String name, DataAccessable accessor, int openFlags)` Constructs an NFileInputStream object in the subordinate input stream with the openFlags parameter.
`NFileInputStream(java.lang.String name, DataAccessable accessor, int openFlags, int dataSelector)` Constructs an NFileInputStream object in the subordinate input stream with the openFlags and dataSelector paramters.

Methods inherited from class com.novell.java.io.NInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NFileInputStream

    public NFileInputStream(DataAccessable accessor)
                     throws java.io.IOException

  Constructs an NFileInputStream object using default parameters.

  Opens an input stream through the specified DataAccessable object, using default parameters.

  Parameters:
    `accessor` - The accessor object that will be called to open the stream.
  Throws:
    java.io.IOException - When an I/O error occurs.
    SubordinateAccessOnlyException - If the accessor does not support a stream to itself, for example a directory.
    InputStreamNotSupportedException - If the accessor does not support an input stream.

### NFileInputStream

    public NFileInputStream(DataAccessable accessor,
                            int openFlags)
                     throws java.io.IOException

  Constructs an NFileInputStream object with openFlags parameter.

  Given an openFlags object, open an input stream through the specified DataAccessable object.

  Parameters:
    `accessor` - The accessor object that will be called to open the stream.
    `openFlags` - The flags that are used in opening the stream in different modes.
  Throws:
    java.io.IOException - When an I/O error occurs.
    SubordinateAccessOnlyException - If the accessor does not support a stream to itself, for example a directory.
    InputStreamNotSupportedException - If the accessor does not support an input stream.

### NFileInputStream

    public NFileInputStream(DataAccessable accessor,
                            int openFlags,
                            int dataSelector)
                     throws java.io.IOException

  Constructs an NFileInputStream object with openFlags and dataSelector parameters.

  Given an openFlags and dataSelector, opens an input stream through the specified DataAccessable object.

  Parameters:
    `accessor` - The DataAccessable object that will be called to open the stream.
    `openFlags` - The flags that are used in opening the stream in different modes.
    `dataSelector` - An integral value that allows the individual data stream on a file to be selected.
  Throws:
    java.io.IOException - When an I/O error occurs.
    SubordinateAccessOnlyException - If the accessor does not support a stream to itself, for example a directory.
    InputStreamNotSupportedException - If the accessor does not support an input stream.

### NFileInputStream

    public NFileInputStream(java.lang.String name,
                            DataAccessable accessor)
                     throws java.io.IOException

  Constructs an NFileInputStream object in the subordinate input stream with default parameters.

  Opens a subordinate input stream through the specified DataAccessable object default parameters.

  Parameters:
    `name` - The atomic subordinate name to open.
    `accessor` - The accessor object that will be called to open the stream.
  Throws:
    java.io.IOException - When an I/O error occurs.
    NoSubordinateAccessException - If the accessor does not support opening a subordinate access, for example, a file.
    InputStreamNotSupportedException - If the accessor does not support an input stream.

### NFileInputStream

    public NFileInputStream(java.lang.String name,
                            DataAccessable accessor,
                            int openFlags)
                     throws java.io.IOException

  Constructs an NFileInputStream object in the subordinate input stream with the openFlags parameter.

  Given an openFlags, opens a subordinate input stream through the specified DataAccessable object.

  Parameters:
    `name` - The atomic subordinate name to open.
    `accessor` - The accessor object that will be called to open the stream.
    `openFlags` - The flags that are used in opening the stream in different modes.
  Throws:
    java.io.IOException - When an I/O error occurs.
    NoSubordinateAccessException - If the accessor does not support opening a subordinate access, for example, a file.
    InputStreamNotSupportedException - If the accessor does not support an input stream.

### NFileInputStream

    public NFileInputStream(java.lang.String name,
                            DataAccessable accessor,
                            int openFlags,
                            int dataSelector)
                     throws java.io.IOException

  Constructs an NFileInputStream object in the subordinate input stream with the openFlags and dataSelector paramters.

  Given an openFlags and dataSelector, opens a subordinate input stream through the specified DataAccessable object.

  Parameters:
    `name` - The atomic subordinate name to open.
    `accessor` - The DataAccessable object that will be called to open the stream.
    `openFlags` - The flags that are used in opening the stream in different modes.
    `dataSelector` - An integral value that allows the individual data stream on a file to be selected.
  Throws:
    java.io.IOException - When an I/O error occurs.
    NoSubordinateAccessException - If the accessor does not support opening a subordinate access, for example, a file.
    InputStreamNotSupportedException - If the accessor does not support an input stream.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD